Description

This issue is related to Redmine.org specifically, although I presume that it could impact Redmine installations of the same version.

I had attempted to register an account at Redmine.org, but did not receive the account activation message.  Several days later, and

for a couple months after that, I would try both submitting a forgotten password request and setting up a new account.

Attempts to create the account again resulted in an error screen where the username and email address were taken.  Attempts to

submit a forgotten password request resulted in an error screen where the email address was not recognized.  Effectively, my email

address was locked out from Redmine.org.

On the bug reporting side, this looks to be a minor issue that would not occur frequently.  I presume that Redmine.org did send an

activation email and that I just did not receive it.  (Probably forgot to check the spam folder or something.)  The question is just how

one view in Redmine finds the email address but another view does not (or at least reports that it does not find the address).

On the things-I'd-actually-like-fixed side, I would like to make use of my regular work email address.  Is that possible?

Related issues:

Related to Redmine - Defect #9350: Password reset for newly registered users ... Closed 2011-09-29

Has duplicate Redmine - Defect #13982: Re-send account confirmation e-mail Closed

Associated revisions

Revision 11946 - 2013-06-09 12:01 - Jean-Philippe Lang

Adds a way for a registered user to get a new action email (#14228).

Revision 11947 - 2013-06-09 12:06 - Jean-Philippe Lang

Adds i18n strings (#14228).

History

#1 - 2013-06-06 18:40 - Jean-Philippe Lang

Christopher Harwood wrote:

The question is just how one view in Redmine finds the email address but another view does not (or at least reports that it does not find the

address).

 Your account exists but is not activated, so you can't register another account with the same email address and you can't use the "Forgot password"

feature because your account is not active. Maybe we could handle this situation : if a user who is not yet activated tries to login (with the appropriate

password), we could display a message explaining that his account is not activated and give him the option to send a new activation email. Doesn't

seem to be hard to implement, what do you think?

#2 - 2013-06-06 22:02 - Etienne Massip

Jean-Philippe Lang wrote:

Christopher Harwood wrote:

The question is just how one view in Redmine finds the email address but another view does not (or at least reports that it does not find the

address).

 Your account exists but is not activated, so you can't register another account with the same email address and you can't use the "Forgot

password" feature because your account is not active. Maybe we could handle this situation : if a user who is not yet activated tries to login (with
the appropriate password), we could display a message explaining that his account is not activated and give him the option to send a new

activation email. Doesn't seem to be hard to implement, what do you think?

 Agreed, and same if he "forgot his password"?

#3 - 2013-06-08 06:49 - Christopher Harwood

Jean-Philippe Lang wrote:

Maybe we could handle this situation : if a user who is not yet activated tries to login (with the appropriate password), we could display a

message explaining that his account is not activated and give him the option to send a new activation email. Doesn't seem to be hard to

implement, what do you think?

 Etienne Massip wrote:

Agreed, and same if he "forgot his password"?

 Either of these options, or both, provide means of getting an email address out of limbo.  I might lean toward putting this with the "Forgot password"

feature; if someone has the email address, I suppose he or she ought to be able to set up an account with it whether or not they know the password.

I'm surprised you're giving attention to such a narrow, uncommon unintended consequence of the account creation system—I hesitate to even call

this a real bug.  Many thanks.

#4 - 2013-06-09 12:02 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Registration and New User Login error on Redmine.org to Registered users should have a way to get a new action email

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

Not a real bug indeed and I'm marking it as a feature, but this situation deserved to be handled more gracefully. r11946 lets registered users get a

new activation email when trying to login or using the lost password feature.

Thanks for your feedback.

#5 - 2013-06-14 18:38 - Christopher Harwood

Thanks, Jean-Philippe.

#6 - 2013-12-04 05:51 - Toshi MARUYAMA

- Has duplicate Defect #13982: Re-send account confirmation e-mail added

#7 - 2020-08-23 06:22 - Go MAEDA

- Related to Defect #9350: Password reset for newly registered users not working added
